# Live Video Bachelor's Project

![Transmit.png](docs/Transmit.png?raw=true "TransmitHeader")

This project uses the [srt-live-transmit](https://github.com/Haivision/srt/blob/master/docs/apps/srt-live-transmit.md) component from the [SRT library](https://github.com/Haivision/srt) and
will require the library to be built on the system running the backend server.

## Setup

```
git clone https://github.com/vizstory/livevideo
cd livevideo
npm ci
cd frontend
npm ci
```

If you are using visual studio code you may need to restart application.

## Usage

```
npm run backend     - Runs the Express server
        frontend    - Runs the React frontend
        dev         - Runs both
        test        - Runs tests
```

## Configuration

Use Config files located at `backend\config.json` and `frontend\src\config.json` to configure connection between frontend,backend and coder.

CoderProfiles, LarixProfiles and Srt Connection parameters can be configured in `frontend\src\utils\profiles.ts`
<br>_(additional profiles require setup through Coder UI)_

## Frontend

#### StreamStartPanel

![StreamStartPanel.png](docs/StreamStartPanel.png?raw=true "StreamStartPanel")
Start a stream by pressing green arrow, default profile and startbehaviour are configurable in frontend config.

#### StreamRow

![StreamRow.png](docs/StreamRow.png?raw=true "StreamRow")

- Click to copy Name(NDI output) or Connection(SRT uri with params, mode is missing -> caller:default)
- First indicator: whether stream is started or not
- Second indicator: backend SLT connection to source and target
- Start
- Stop
- Edit (currently only NDI output name)
- Delete
- Open Larix shortcut for smartphones (needs Larix Broadcaster installed)
- QRCode: Click to enlarge or shrink (needs Larix Broadcaster installed)
  <br>_(Mouseover or longtap on mobile to see button explanation)_

### Class Diagram

![Alt Frontend Class Diagram.png](docs/frontend_diagram.png?raw=true "Frontend Class Diagram")

### Backend

[Backend API Documentation](https://documenter.getpostman.com/view/10136250/TzRNDV4f)

#### Class Diagram

![Alt Backend Class Diagram.png](docs/backend_diagram.png?raw=true "Backend Class Diagram")
