/**
 * stolen from https://stackoverflow.com/questions/8273047/javascript-function-similar-to-python-range
 * @param start
 * @param stop
 * @param step
 * @returns
 */
function range(
  start: number,
  stop: number | undefined = undefined,
  step: number | undefined = undefined
) {
  if (typeof stop == "undefined") {
    // one param defined
    stop = start;
    start = 0;
  }

  if (typeof step == "undefined") {
    step = 1;
  }

  if ((step > 0 && start >= stop) || (step < 0 && start <= stop)) {
    return [];
  }

  var result = [];
  for (var i = start; step > 0 ? i < stop : i > stop; i += step) {
    result.push(i);
  }

  return result;
}

export { range };
