type Param = [string, string];

interface StreamStartInfo {
  name: string;
  listenerParams: Param[];
  callerParams: Param[];
  status: StreamStatus | null; //only used when creating stream
  ndiProfile: NDIProfile;
}

interface StreamDataForm {
  id: string;
  connection: string;
  status: StreamStatus;
  name: string;
  listenerParams: Param[];
  callerParams: Param[];
  connectionStatus: ConnectionStatus;
  ndiProfile: NDIProfile;
}

enum ConnectionStatus {
  NONE = 0,
  TARGET = 1,
  SOURCE = 2,
  BOTH = 3,
}

enum StreamStatus {
  STOPPED = 0,
  STARTED = 1,
  CRASHED = 2,
}

type Resolution = {
  width: number;
  height: number;
  fps: number;
};

type NDIProfile = {
  name: string;
  description: string;
  resolution: Resolution;
  audiofreq: number;
};

export {
  Resolution,
  NDIProfile,
  StreamStartInfo,
  StreamDataForm,
  StreamStatus,
  Param,
  ConnectionStatus,
};
