import { ThemeProvider, createMuiTheme } from "@material-ui/core/styles";
import Typography from "@material-ui/core/Typography";
import React from "react";
import "./App.css";
import ControlPanel from "./components/ControlPanel";

const theme = createMuiTheme({
  typography: {
    fontFamily: "Consolas",
  },
  palette: {
    primary: {
      // light: will be calculated from palette.primary.main,
      main: "#cccccc",
      // dark: will be calculated from palette.primary.main,
      // contrastText: will be calculated to contrast with palette.primary.main
    },
    secondary: {
      // light: "#888888",
      main: "#e3d7c3",
      // dark: will be calculated from palette.secondary.main,
      //contrastText: "#ffcc00",
    },
    // Used by `getContrastText()` to maximize the contrast between
    // the background and the text.
    contrastThreshold: 3,
    // Used by the functions below to shift a color's luminance by approximately
    // two indexes within its tonal palette.
    // E.g., shift from Red 500 to Red 300 or Red 700.
    tonalOffset: 0.2,
  },
});

function App() {
  return (
    <ThemeProvider theme={theme}>
      <div className="App">
        <header className="App-header">
          <Typography variant="h1">Transmit</Typography>

          {/* <h1>Transmit</h1> */}
          <ControlPanel />
          <Typography variant="subtitle1">
            Pro tip: on mobile, long press to see button explanation.
          </Typography>

          <Typography variant="subtitle1">
            Download Larix Broadcaster:
            <a href="https://softvelum.com/larix/">Larix Broadcaster</a>
          </Typography>
        </header>
      </div>
    </ThemeProvider>
  );
}

export default App;
