import StreamRow from "./StreamRow";
import { Stream } from "./../types";
import React from "react";
import { Grid } from "@material-ui/core";

type StreamMonitorProps = {
  streams: Stream[];
  setStreams: (streams: Stream[]) => any;
};

export default function StreamMonitor({
  streams,
  setStreams,
}: StreamMonitorProps) {
  const setStream = (stream: Stream) => {
    updateItem(stream.id, stream);
  };

  function updateItem(id: string, itemAttributes: Stream) {
    var index = streams.findIndex((x) => x.id === id);
    if (index === -1) {
      // handle error
    } else {
      setStreams([
        ...streams.slice(0, index),
        Object.assign({}, streams[index], itemAttributes),
        ...streams.slice(index + 1),
      ]);
    }
  }

  return (
    <div className="Stream-Monitor">
      <Grid container>
        {streams.map((stream) => (
          <Grid item>
            <StreamRow stream={stream} key={stream.id} setStream={setStream} />
          </Grid>
        ))}
      </Grid>
    </div>
  );
}
