import { ModuleResolutionCache } from "typescript";
import { ConnectionStatus, StreamStatus } from "./enums";

export interface Stream {
  id: string;
  connection: string;
  status: StreamStatus;
  name: string;
  listenerParams: Param[];
  callerParams: Param[];
  connectionStatus: ConnectionStatus;
  ndiProfile: NDIProfile;
}

export type StreamProps = {
  stream: Stream;
  setStream: (stream: Stream) => void;
};

export type Param = [string, string];

export interface StreamStartInfo {
  name: string;
  listenerParams: Param[];
  callerParams: Param[];
  status: StreamStatus | null; //only used when creating stream
  ndiProfile: NDIProfile;
}

export type Resolution = {
  width: number;
  height: number;
  fps: number;
};

export type NDIProfile = {
  name: string;
  description: string;
  resolution: Resolution;
  audiofreq: number;
};
