// Not sure this is necessary
const params: {} = {
  mode: {
    values: ["caller", "listener", "rendesvouz"],
    description: "Enforce caller, listener or rendezvous mode",
  },
  port: {
    values: [1, 9999],
    description:
      "Enforce the outgoing port (the port number that will be set in the UDP packet as a source port when sent from this host). This can be used only in caller mode.",
  },
  blocking: {
    description:
      "Sets the SRTO_RCVSYN for input medium or SRTO_SNDSYN for output medium",
  },
  timeout: {
    description:
      "Sets SRTO_RCVTIMEO for input medium or SRTO_SNDTIMEO for output medium",
  },
  adapter: {
    description:
      "Sets the adapter for listening in listener or rendezvous mode",
  },
  congestion: {
    values: ["live", "file"],
    description: "Type of congestion control.",
  },
  conntimeo: {
    values: "ms",
    description: "Connection timeout.",
  },
  drifttracer: { values: "bool", description: "Enable drift tracer." },
  enforcedencryption: {
    values: "bool",
    description: "Reject connection if parties set different passphrase.",
  },
  fc: { values: "bytes", description: "Flow control window size." },
  groupconnect: { values: [0, 1], description: "Accept group connections." },
  groupstabtimeo: { values: "ms", description: "Group stability timeout." },
  inputbw: { values: "bytes", description: "Input bandwidth." },
  iptos: { values: [0, 255], description: "IP socket type of service" },
  ipttl: {
    values: [1, 255],
    description: "Defines IP socket 'time to live' option.",
  },
  ipv6only: { values: [-1, 1], description: "Allow only IPv6." },
  kmpreannounce: {
    values: [0],
    description: "Duration of Stream Encryption key switchover (in packets).",
  },
  kmrefreshrate: {
    values: [0],
    description: "Stream encryption key refresh rate (in packets).",
  },
  latency: {
    values: [0],
    description: "Defines the maximum accepted transmission latency.",
  },
  linger: { values: [0], description: "Link linger value" },
  lossmaxttl: { values: [0], description: "Packet reorder tolerance." },
  maxbw: { values: [0], description: "Bandwidth limit in bytes" },
  mininputbw: {
    values: [0],
    description: "Minimum allowed estimate of SRTO_INPUTBW",
  },
  messageapi: { values: "bool", description: "Enable SRT message mode." },
  minversion: {
    values: "maj.min.rev",
    description: "Minimum SRT library version of a peer.",
  },
  mss: { values: [76], description: "MTU size" },
  nakreport: {
    values: "bool",
    description: "Enables/disables periodic NAK reports",
  },
  oheadbw: {
    values: [5, 100],
    description: "limits bandwidth overhead, percents",
  },
  packetfilter: { values: "string", description: "Set up the packet filter." },
  passphrase: {
    values: ["string"],
    description:
      "Password for the encrypted transmission. (must be 10 to 79 characters)",
  },
  payloadsize: { values: [0], description: "Maximum payload size." },
  pbkeylen: {
    values: [16, 24, 32],
    description: "Crypto key length in bytes.",
  },
  peeridletimeo: { values: "ms", description: "Peer idle timeout." },
  peerlatency: {
    values: ["ms"],
    description: "Minimum receiver latency to be requested by sender.",
  },
  rcvbuf: { values: "bytes", description: "Receiver buffer size" },
  rcvlatency: { values: "ms", description: "Receiver-side latency." },
  retransmitalgo: {
    values: [0, 1],
    description: "Packet retransmission algorithm to use.",
  },
  sndbuf: { values: "bytes", description: "Sender buffer size." },
  snddropdelay: {
    values: ["ms"],
    description: "Sender's delay before dropping packets.",
  },
  streamid: {
    values: ["string"],
    description:
      "Stream ID (settable in caller mode only, visible on the listener peer).",
  },
  tlpktdrop: { values: ["bool"], description: "Drop too late packets." },
  transtype: { values: ["live", "file"], description: "Transmission type" },
  tsbpdmode: {
    values: ["bool"],
    description: "Timestamp-based packet delivery mode.",
  },
};

export default params;
